#include <iostream>
using namespace std;
 
int main(void)
{
    cout<<"Unesite dimenziju kvadratne matrice(n*n) ---->";
    int n;
    cin>>n;
     
    int iMatrica[n][n];
     
    for(int i=0; i < n;i++)
    {
        for(int j=0; j < n;j++)
        {
            cout<<"iMatrica ["<<i<<","<<j<<"] ---> ";
            cin>>iMatrica[i][j];
        }
    }
    cout<<endl;
    for(int i=0; i < n;i++)
    {
        for(int j=0; j < n;j++)
        {
            if(i==j)
            {
                cout<<iMatrica[i][j];
            }
        }
    cout<<endl;
    }
     
    system("PAUSE");
    return 0;   
}